﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace LocalizationDemo.Converters
{
    public class CaptalizeConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var stringValue = value as string;
            if (stringValue == null)
                return null;

            return stringValue.ToUpper();
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotSupportedException();
        }
    }
}
