﻿using System;
using System.Globalization;
using System.Linq;
using System.Windows.Data;

namespace LocalizationDemo.Converters
{
    public class ReverseConverter : IMultiValueConverter
    {
        public object Convert(object[] values, Type targetType, object parameter, CultureInfo culture)
        {
            if (values == null)
                return null;

            return values.Reverse().ToArray();
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, CultureInfo culture)
        {
            throw new NotSupportedException();
        }
    }
}
